Bug 74515 - kickstart authentication option --enableldaptls doesn't
kickstart authentication option --enableldaptls doesn't
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-09-25 15:27 EDT by Jason Corley
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-24 14:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Corley 2002-09-25 15:27:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
The following line in my kickstart config does everything right except enabling
TLS for LDAP authentication.  This is one line in my config:

authconfig --enableshadow --enablemd5 --enableldap --enableldaptls
--enableldapauth --ldapserver=<my ldap server> --ldapbasedn="<my basedn>"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make kickstart file
2. Boot from it
3. On reboot run authconfig and notice that the "Use TLS" checkbox is unchecked

Actual Results:  All authentication options are set except the use of TLS for
LDAP lookups/authentication

Expected Results:  TLS should be used for LDAP lookups/authentication

Additional info:
Comment 1 Michael Fulbright 2002-09-27 15:31:02 EDT
We will fix this in the future, but for now you should be able to put:

/mnt/sysimage/usr/bin/authconfig --nostart --kickstart --enableldaptls

in your %post that should give the desired behavior.
Comment 2 Jeremy Katz 2002-09-27 15:56:48 EDT
Fixed in CVS
Comment 3 Jason Corley 2002-09-27 16:38:13 EDT
Indeed putting "authconfig --nostart --kickstart --enableldaptls" into my %post
does fix the problem.
Comment 4 Jeremy Katz 2006-04-24 14:14:57 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.